
//
// networking.h
//




void SetupNetGame(void);
void SendMyCoordinatesToHost(void);
int ReadNetData(int socket, void *buffer, int numBytes);
int WriteNetData(int socket, void *buffer, int numBytes);
Boolean	IsDataWaitingToBeRead(int socket);
void SendPlayerDataToClients(void);
void ProcessNetDataFromClients(void);
void ProcessNetDataFromHost(void);
void SendReadySignalSignalToHost(void);
void SendReadySignalSignalsToClients(void);
void CloseAllClientSocketConnections(void);
void CloseConnectionToHost(void);
void SendExitMessageToClients(void);
void SendExitMessageToHost(void);



